(function(){
    angular.module('app', [
        'ngRoute'
    ])
        .config(function ($routeProvider) {
            $routeProvider
                .when('/login', {
                    templateUrl: 'login/login.html',
                    controller: 'Login',
                    controllerAs: 'vm',
                    resolve:{
                        isLoggedIn: function(userService) {
                            return userService.isUserLoggedIn();
                        }
                    }
                })
                .when('/home/:productId', {
                    templateUrl: 'home/home.html',
                    controller: 'Home',
                    controllerAs: 'vm'
                })
                .otherwise({
                    redirectTo: '/home'
                });

        });
})();

//home.js
(function(){
    angular.module('app')
        .controller('Home', Home);

    Home.$inject = ['$routeParams', '$location', 'isLoggedIn'];
    function Home($routeParams, $location, isLoggedIn){
        var vm = this;
        if(!isLoggedIn){
            $location.path('login');
            return;
        }
        var selectedProduct = $routeParams.productId;
    }
})();