describe('MyController', function() {
  var $httpBackend, UserFactory;
  // Set up the module
  beforeEach(function() {
    module('myApp.User');
    inject(function( _$httpBackend_, _UserFactory_) {
      $httpBackend = _$httpBackend_;
      UserFactory = _UserFactory_;
}); });
  afterEach(function() {
    $httpBackend.verifyNoOutstandingExpectation();
    $httpBackend.verifyNoOutstandingRequest();
});

describe('UserFactory: definition', function() {
    it('Should define methods', function () {
      expect(UserFactory.getUsers).toBeDefined()
      expect(UserFactory.getUsers).toEqual(jasmine.any(Function))
}); });
  describe('UserFactor: getUser', function(){
    it('Should return user array', function() {
      var users = [{userName: 'User One'}, {userName: 'User Two'}];
      $httpBackend.expectGET('/user').respond(200, users);
      var result;
      UserFactory.getUsers()
        .success(function(data){
          result = data;
        }).error(function(reason){
          result = reason;
        });
      $httpBackend.flush();
      expect(result).toEqual(users);
    });
    it('Should return status Not Found', function() {
      $httpBackend.expectGET('/user').respond(404, 'Not Found');
      var result = '';
      UserFactory.getUsers()
        .success(function(data){
          result = data;
        }).error(function(reason){
          result = reason;
        });
      $httpBackend.flush();
      expect(result).toEqual('Not Found');
    });
}); });