﻿(function() {

    angular.module('app')
        .controller('ArtistsController', ['ArtistsManager', function(ArtistsManager) {
            var vm = this;
            getArtists();

            ////////////////

            function getArtists() {
                ArtistsManager.getArtists().then(function(response) {
                    vm.artists = response.data.d;
                });
            }

            vm.add = function() {

                var artist = {
                    artistName: vm.newArtistName,
                    rating: vm.newArtistRating
                };

                ArtistsManager.createArtist(artist)
                    .then(function(response) {

                        if (response.data.d !== null) {
                            vm.error = response.data.d;
                        } else {
                            vm.newArtistName = null;
                            vm.newArtistRating = null;
                            vm.error = null;
                            getArtists();
                        }

                    }, function(response) {
                        vm.error = response.statusText;
                    });
            };

        }]);

})();
