﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DefaultLittleAngular.aspx.cs" Inherits="Ch20.DefaultLittleAngular" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Artist Management</title>
    <script src="https://code.angularjs.org/1.3.15/angular.js"></script>
    <script src="Scripts/app.js"></script>
    <script src="Scripts/local-storage.service.js"></script>
    <script src="Scripts/favorites.js"></script>
    <script src="Scripts/favorite-artists-directive.js"></script>
</head>
<body ng-app="app">
    <form id="form1" runat="server" ng-controller="FavoritesController as vm">
        <section>
            <asp:Label runat="server" ID="lblError" ForeColor="Red" />
        </section>
        <br />
        <section>
            <asp:Repeater ID="rptArtists" runat="server">
                <HeaderTemplate>
                    <table border="1" ng-app="app">
                        <tr>
                            <th>Artist</th>
                            <th>Rating</th>
                            <th>Actions</th>
                        </tr>
                </HeaderTemplate>
                <ItemTemplate>
                    <tr style="background-color: palegoldenrod">
                        <td><%#Eval("Name") %></td>
                        <td><%#Eval("Rating") %></td>
                        <td favorite-selector artist="<%#Eval("Name") %>"></td>
                    </tr>
                </ItemTemplate>
                <AlternatingItemTemplate>
                    <tr style="background-color: white">
                        <td><%#Eval("Name") %></td>
                        <td><%#Eval("Rating") %></td>
                        <td favorite-selector artist="<%#Eval("Name") %>"></td>
                    </tr>
                </AlternatingItemTemplate>
                <FooterTemplate>
                    </table>
                </FooterTemplate>
            </asp:Repeater>
        </section>
        <br />
        <section>
            Artist Name: <asp:TextBox runat="server" ID="txtName" />
            <br />
            Rating: <asp:TextBox runat="server" ID="txtRating" />
            <br />
            <asp:Button runat="server"
                Text="Add Artist"
                ID="btnAdd"
                OnClick="btnAdd_Click" />
        </section>
        <br />
        <br />
        <section>
            <h1>Favorites</h1>
            <ul>
                <li ng-repeat="favorite in vm.favorites">{{favorite}} <button ng-click="vm.remove(favorite)">Remove Favorite</button></li>
            </ul>
        </section>
    </form>
</body>
</html>