﻿using System;
using System.Collections.Generic;
using System.Runtime.Caching;
using System.Web.Mvc;
using Ch21.Models;

namespace Ch21.Controllers
{
    public class ArtistController : Controller
    {
        public List<Artist> ArtistCache
        {
            get { return (List<Artist>)MemoryCache.Default.Get("artists"); }
            set { MemoryCache.Default.Set("artists", value, ObjectCache.InfiniteAbsoluteExpiration); }
        }

        public ArtistController()
        {
            if (ArtistCache == null)
            {
                ArtistCache = new List<Artist>();
            }
        }

        public ActionResult Index()
        {
            return View();
        }

        public JsonResult All()
        {
            return Json(ArtistCache, JsonRequestBehavior.AllowGet);
        }

        public ActionResult Create()
        {
            return View();
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create(Artist artist)
        {
            artist.Id = Guid.NewGuid();
            ArtistCache.Add(artist);
            return RedirectToAction("Index");
        }
    }
}